<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>FileBasedBuilderParametersImpl (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileBasedBuilderParametersImpl (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileBasedBuilderParametersImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/EventListenerProvider.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" target="_top">Frames</a></li>
<li><a href="FileBasedBuilderParametersImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Class FileBasedBuilderParametersImpl" class="title">Class FileBasedBuilderParametersImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder.BasicBuilderParameters</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;, <a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a>, <a href="../../../../../org/apache/commons/configuration2/builder/PropertiesBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">PropertiesBuilderParametersImpl</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileBasedBuilderParametersImpl</span>
extends <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>
implements <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</pre>
<div class="block"><p>
 An implementation of <code>BuilderParameters</code> which contains parameters
 related to <code>Configuration</code> implementations that are loaded from files.
 </p>
 <p>
 The parameters defined here are interpreted by builder implementations that
 can deal with file-based configurations. Note that these parameters are
 typically no initialization properties of configuration objects (i.e. they
 are not passed to set methods after the creation of the result
 configuration). Rather, the parameters object is stored as a whole in the
 builder's map with initialization parameters and can be accessed from there.
 </p>
 <p>
 This class is not thread-safe. It is intended that an instance is constructed
 and initialized by a single thread during configuration of a
 <code>ConfigurationBuilder</code>.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: FileBasedBuilderParametersImpl.java 1730379 2016-02-14 19:02:43Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.builder.BuilderParameters">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html#RESERVED_PARAMETER_PREFIX">RESERVED_PARAMETER_PREFIX</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#FileBasedBuilderParametersImpl--">FileBasedBuilderParametersImpl</a></span>()</code>
<div class="block">Creates a new instance of <code>FileBasedBuilderParametersImpl</code> with an
 uninitialized <code>FileHandler</code> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#FileBasedBuilderParametersImpl-org.apache.commons.configuration2.io.FileHandler-">FileBasedBuilderParametersImpl</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</code>
<div class="block">Creates a new instance of <code>FileBasedBuilderParametersImpl</code> and
 associates it with the given <code>FileHandler</code> object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#clone--">clone</a></span>()</code>
<div class="block">Clones this object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#fromMap-java.util.Map-">fromMap</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</code>
<div class="block">Creates a new <code>FileBasedBuilderParametersImpl</code> object from the
 content of the given map.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#fromParameters-java.util.Map-">fromParameters</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;params)</code>
<div class="block">Looks up an instance of this class in the specified parameters map.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#fromParameters-java.util.Map-boolean-">fromParameters</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;params,
              boolean&nbsp;createIfMissing)</code>
<div class="block">Looks up an instance of this class in the specified parameters map and
 optionally creates a new one if none is found.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#getFileHandler--">getFileHandler</a></span>()</code>
<div class="block">Returns the <code>FileHandler</code> managed by this object.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#getParameters--">getParameters</a></span>()</code>
<div class="block">Returns a map with all parameters defined by this objects.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html" title="interface in org.apache.commons.configuration2.builder">ReloadingDetectorFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#getReloadingDetectorFactory--">getReloadingDetectorFactory</a></span>()</code>
<div class="block">Returns the <code>ReloadingDetectorFactory</code>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#getReloadingRefreshDelay--">getReloadingRefreshDelay</a></span>()</code>
<div class="block">Returns the refresh delay for reload operations.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#inheritFrom-java.util.Map-">inheritFrom</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;source)</code>
<div class="block">Inherits properties from the specified map.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setBasePath-java.lang.String-">setBasePath</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Sets the base path of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setEncoding-java.lang.String-">setEncoding</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;enc)</code>
<div class="block">Sets the encoding of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setFile-java.io.File-">setFile</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Sets the location of the associated <code>FileHandler</code> as a <code>File</code>
 object.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setFileName-java.lang.String-">setFileName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Sets the file name of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fs)</code>
<div class="block">Sets the <code>FileSystem</code> of the associated <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">setLocationStrategy</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a>&nbsp;strategy)</code>
<div class="block">Sets the <code>FileLocationStrategy</code> for resolving the referenced file.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setPath-java.lang.String-">setPath</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Sets the location of the associated <code>FileHandler</code> as an absolute
 file path.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setReloadingDetectorFactory-org.apache.commons.configuration2.builder.ReloadingDetectorFactory-">setReloadingDetectorFactory</a></span>(<a href="../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html" title="interface in org.apache.commons.configuration2.builder">ReloadingDetectorFactory</a>&nbsp;reloadingDetectorFactory)</code>
<div class="block">Sets the factory for creating <code>ReloadingDetector</code> objects.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setReloadingRefreshDelay-java.lang.Long-">setReloadingRefreshDelay</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;reloadingRefreshDelay)</code>
<div class="block">Sets the refresh delay for reloading support</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setURL-java.net.URL-">setURL</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Sets the location of the associated <code>FileHandler</code> as a <code>URL</code>
 object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.BasicBuilderParameters">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#copyPropertiesFrom-java.util.Map-java.lang.String...-">copyPropertiesFrom</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchBeanHelper-java.util.Map-">fetchBeanHelper</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchInterpolatorSpecification-java.util.Map-">fetchInterpolatorSpecification</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchProperty-java.lang.String-">fetchProperty</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#merge-org.apache.commons.configuration2.builder.BuilderParameters-">merge</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">setBeanHelper</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#storeProperty-java.lang.String-java.lang.Object-">storeProperty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileBasedBuilderParametersImpl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileBasedBuilderParametersImpl</h4>
<pre>public&nbsp;FileBasedBuilderParametersImpl()</pre>
<div class="block">Creates a new instance of <code>FileBasedBuilderParametersImpl</code> with an
 uninitialized <code>FileHandler</code> object.</div>
</li>
</ul>
<a name="FileBasedBuilderParametersImpl-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileBasedBuilderParametersImpl</h4>
<pre>public&nbsp;FileBasedBuilderParametersImpl(<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;handler)</pre>
<div class="block">Creates a new instance of <code>FileBasedBuilderParametersImpl</code> and
 associates it with the given <code>FileHandler</code> object. If the handler
 is <b>null</b>, a new handler instance is created.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>handler</code> - the associated <code>FileHandler</code> (can be <b>null</b>)</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="fromParameters-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromParameters</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;fromParameters(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;params)</pre>
<div class="block">Looks up an instance of this class in the specified parameters map. This
 is equivalent to <code>fromParameters(params, false</code>;}</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - the map with parameters (must not be <b>null</b></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the instance obtained from the map or <b>null</b></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the map is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="fromParameters-java.util.Map-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromParameters</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;fromParameters(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;params,
                                                            boolean&nbsp;createIfMissing)</pre>
<div class="block">Looks up an instance of this class in the specified parameters map and
 optionally creates a new one if none is found. This method can be used to
 obtain an instance of this class which has been stored in a parameters
 map. It is compatible with the <code>getParameters()</code> method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - the map with parameters (must not be <b>null</b></dd>
<dd><code>createIfMissing</code> - determines the behavior if no instance is found in
        the map; if <b>true</b>, a new instance with default settings is
        created; if <b>false</b>, <b>null</b> is returned</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the instance obtained from the map or <b>null</b></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the map is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="fromMap-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromMap</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;fromMap(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</pre>
<div class="block">Creates a new <code>FileBasedBuilderParametersImpl</code> object from the
 content of the given map. While <code>fromParameters()</code> expects that an
 object already exists and is stored in the given map, this method creates
 a new instance based on the content of the map. The map can contain
 properties of a <code>FileHandler</code> and some additional settings which
 are stored directly in the newly created object. If the map is
 <b>null</b>, an uninitialized instance is returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>map</code> - the map with properties (must not be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the newly created instance</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/ClassCastException.html?is-external=true" title="class or interface in java.lang">ClassCastException</a></code> - if the map contains invalid data</dd>
</dl>
</li>
</ul>
<a name="inheritFrom-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inheritFrom</h4>
<pre>public&nbsp;void&nbsp;inheritFrom(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;source)</pre>
<div class="block">Inherits properties from the specified map. This can be used for instance
 to reuse parameters from one builder in another builder - also in
 parent-child relations in which a parent builder creates child builders.
 The purpose of this method is to let a concrete implementation decide
 which properties can be inherited. Because parameters are basically
 organized as a map it would be possible to simply copy over all
 properties from the source object. However, this is not appropriate in
 all cases. For instance, some properties - like a
 <code>ConfigurationInterpolator</code> - are tightly connected to a
 configuration and cannot be reused in a different context. For other
 properties, e.g. a file name, it does not make sense to copy it.
 Therefore, an implementation has to be explicit in the properties it
 wants to take over. This implementation takes some properties defined in this
 class into account.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#inheritFrom-java.util.Map-">inheritFrom</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - the source properties to inherit from</dd>
</dl>
</li>
</ul>
<a name="getFileHandler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileHandler</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;getFileHandler()</pre>
<div class="block">Returns the <code>FileHandler</code> managed by this object. This object is
 updated every time the file location is changed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the managed <code>FileHandler</code></dd>
</dl>
</li>
</ul>
<a name="getReloadingRefreshDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReloadingRefreshDelay</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;getReloadingRefreshDelay()</pre>
<div class="block">Returns the refresh delay for reload operations. Result may be
 <b>null</b> if this value has not been set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the reloading refresh delay</dd>
</dl>
</li>
</ul>
<a name="setReloadingRefreshDelay-java.lang.Long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReloadingRefreshDelay</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setReloadingRefreshDelay(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;reloadingRefreshDelay)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setReloadingRefreshDelay-java.lang.Long-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the refresh delay for reloading support</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setReloadingRefreshDelay-java.lang.Long-">setReloadingRefreshDelay</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reloadingRefreshDelay</code> - the refresh delay (in milliseconds)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="getReloadingDetectorFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReloadingDetectorFactory</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html" title="interface in org.apache.commons.configuration2.builder">ReloadingDetectorFactory</a>&nbsp;getReloadingDetectorFactory()</pre>
<div class="block">Returns the <code>ReloadingDetectorFactory</code>. Result may be <b>null</b>
 which means that the default factory is to be used.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>ReloadingDetectorFactory</code></dd>
</dl>
</li>
</ul>
<a name="setReloadingDetectorFactory-org.apache.commons.configuration2.builder.ReloadingDetectorFactory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReloadingDetectorFactory</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setReloadingDetectorFactory(<a href="../../../../../org/apache/commons/configuration2/builder/ReloadingDetectorFactory.html" title="interface in org.apache.commons.configuration2.builder">ReloadingDetectorFactory</a>&nbsp;reloadingDetectorFactory)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setReloadingDetectorFactory-org.apache.commons.configuration2.builder.ReloadingDetectorFactory-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the factory for creating <code>ReloadingDetector</code> objects. With
 this method a custom factory for reloading detectors can be installed.
 Per default, a factory creating <code>FileHandlerReloadingDetector</code>
 objects is used.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setReloadingDetectorFactory-org.apache.commons.configuration2.builder.ReloadingDetectorFactory-">setReloadingDetectorFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reloadingDetectorFactory</code> - the <code>ReloadingDetectorFactory</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setFile-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFile</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setFile(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFile-java.io.File-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the location of the associated <code>FileHandler</code> as a <code>File</code>
 object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFile-java.io.File-">setFile</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the <code>File</code> location</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setURL-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setURL</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setURL(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setURL-java.net.URL-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the location of the associated <code>FileHandler</code> as a <code>URL</code>
 object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setURL-java.net.URL-">setURL</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the <code>URL</code> location</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setPath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPath</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setPath(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setPath-java.lang.String-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the location of the associated <code>FileHandler</code> as an absolute
 file path.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setPath-java.lang.String-">setPath</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path location</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setFileName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileName</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setFileName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFileName-java.lang.String-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the file name of the associated <code>FileHandler</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFileName-java.lang.String-">setFileName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the file name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setBasePath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBasePath</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setBasePath(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setBasePath-java.lang.String-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the base path of the associated <code>FileHandler</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setBasePath-java.lang.String-">setBasePath</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the base path</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setFileSystem-org.apache.commons.configuration2.io.FileSystem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileSystem</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setFileSystem(<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fs)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the <code>FileSystem</code> of the associated <code>FileHandler</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fs</code> - the <code>FileSystem</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocationStrategy</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setLocationStrategy(<a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a>&nbsp;strategy)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the <code>FileLocationStrategy</code> for resolving the referenced file.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">setLocationStrategy</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>strategy</code> - the <code>FileLocationStrategy</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="setEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEncoding</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;setEncoding(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;enc)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setEncoding-java.lang.String-">FileBasedBuilderProperties</a></code></span></div>
<div class="block">Sets the encoding of the associated <code>FileHandler</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html#setEncoding-java.lang.String-">setEncoding</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enc</code> - the encoding</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
<a name="getParameters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameters</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getParameters()</pre>
<div class="block">Returns a map with all parameters defined by this objects. The keys of
 the map correspond to concrete properties supported by the
 <code>Configuration</code> implementation class the builder produces. The
 values are the corresponding property values. The return value must not
 be <b>null</b>. This implementation returns a copy of the internal
 parameters map with the values set so far. Collection structures
 (e.g. for lookup objects) are stored as defensive copies, so the
 original data cannot be modified. This implementation returns a map which contains this
 object itself under a specific key. The static <code>fromParameters()</code>
 method can be used to extract an instance from a parameters map. Of
 course, the properties inherited from the base class are also added to
 the result map.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html#getParameters--">getParameters</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#getParameters--">getParameters</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a map with builder parameters</dd>
</dl>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&nbsp;clone()</pre>
<div class="block">Clones this object. This is useful because multiple builder instances may
 use a similar set of parameters. However, single instances of parameter
 objects must not assigned to multiple builders. Therefore, cloning a
 parameters object provides a solution for this use case. This method
 creates a new parameters object with the same content as this one. The
 internal map storing the parameter values is cloned, too, also collection
 structures contained in this map. However, no a full deep clone operation
 is performed. Objects like a <code>ConfigurationInterpolator</code> or
 <code>Lookup</code>s are shared between this and the newly created instance. This implementation also creates a copy of the
 <code>FileHandler</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#clone--">clone</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a clone of this object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileBasedBuilderParametersImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/EventListenerProvider.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" target="_top">Frames</a></li>
<li><a href="FileBasedBuilderParametersImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
